-- Use this with psql to create the databases required for working with the
-- project's source code. This should not be use in a live/production
-- environment.

create user larder with password 'lwebdb';

-- This 'dev' version of the database is for typical development work. This
-- allows you to try things out, whilst working, without mixing up data produced
-- during testing.
create database larderdev with owner larder;
grant all privileges on database larderdev to larder;

-- This 'test' version is for using when running the project's test suite. The
-- intention is to use this for testing so the data produced during the
-- automated steps doesn't mix with the data produced whilst you're working on
-- the project's code.
create database lardertest with owner larder;
grant all privileges on database lardertest to larder;
