-- SQL Scripts for working with larder.web's database. Note, scripts do not include
-- any code for the Meilisearch database attached to this system.

-- Run these snippets whilst logged into PSQL or your RDMS (DBeaver, pgAdmin,
-- Beekeeper Studio Etc.).

-- The database names refer to the various app-environments the system can run
-- in. The list of various app-env's config's can be found in
-- *APPLICATION-ROOT*/SRC/LARDER.WEB.CONFIG.LISP

-- To create the database used when the APP_ENV is set to 'development'.
create user larder with password 'lwebdb';
create database larderdev with owner larder;
grant all privileges on database larderdev to larder;

-- Delete the database when the APP_ENV is set to 'development'.
drop database larderdev with (force);

-- To create the database used when the APP_ENV is set to 'production'.
create user larder with password 'lwebdb';
create database larderprod with owner larder;
grant all privileges on database larderdev to larder;

-- Delete the database when the APP_ENV is set to 'production'.
drop database larderprod with (force);

-- To create the database used when the APP_ENV is set to 'test'.
create user larder with password 'lwebdb';
create database lardertest with owner larder;
grant all privileges on database lardertest to larder;

-- Delete the database when the APP_ENV is set to 'test'.
drop database lardertest with (force);
