(defsystem #:larder.web
  :author "Craig Oates"
  :depends-on (#:clack
               #:lack
               #:caveman2
               #:envy
               #:cl-ppcre
               #:uiop
               ;; for @route annotation
               #:cl-syntax-annot
               ;; HTML Template
               #:djula
               ;; for DB
               #:datafly
               #:sxql
               ;; larder.web specific packages
               #:woo            ; Server, replaces hunchentoot
               #:alexandria     ; General purpose utility package
	       #:mito           ; Database ORM
	       #:osicat	        ; Environment variables (dev/prod.)
	       #:ratify         ; Utilites
	       #:trivia         ; Pattern matching
	       #:plump          ; Parsing (HTML/XML)
	       #:dexador        ; HTTP client
	       #:clss	        ; DOM tree search based on CSS selectors
	       #:3bmd           ; Markdown
	       #:com.inuoe.jzon ; JSON Parsing (not in Quicklisp)
	       #:cl-who         ; Markup
	       #:sqlite         ; Sqlite database ORM
	       #:hermetic       ; Authentication
	       #:cl-fad         ; Files and directories
	       #:xml-emitter    ; XML Emitter for RSS Feed
               #:quri           ; URI library
	       #:serapeum       ; General purpose utility package
               #:cl-slug        ; Asciify and slugify strings
	       #:str            ; String manipulation (easier than built-in)
               #:copy-directory ; Copy Directories using Native cp
               #:cl-diskspace   ; Get Disk Info.
               #:zip            ; Zip and compression
               #:uuid           ; Unique Identifier Generator
               )
  :components ((:module "src"
                :components
                ((:file "main"          :depends-on ("config" "view" "db"))
                 (:file "web"           :depends-on ("view" "utils" "status-codes"
                                                     "auth" "validation" "serial" "pagination"
                                                     "storage" "meilisearch" "app-constants"))
                 (:file "view"          :depends-on ("config" "app-constants" "storage"))
                 (:file "db"            :depends-on ("config" "models" "validation"))
                 (:file "storage"       :depends-on ("models"))
                 (:file "models"        :depends-on ("app-constants"))
                 (:file "utils"         :depends-on ("storage"))
                 (:file "validation"    :depends-on ("app-constants"))
                 (:file "auth"          :depends-on ("db" "models"))
                 (:file "app-constants" :depends-on ("config"))
                 (:file "serial")
                 (:file "pagination")
                 (:file "meilisearch")
                 (:file "config")
                 (:file "status-codes"))))
  :description "A recipe-based blogging website."
  :build-operation "program-op"
  :build-pathname "lweb"
  :entry-point "larder.web:main"
  :in-order-to ((test-op (test-op "ritherdon-archive/tests"))))

(defsystem #:larder.web/tests
  :author "Craig Oates"
  :depends-on (#:larder.web
	       #:parachute)
  :components ((:module "tests"
		:components
		((:file "tests"))))
  :description "Test system for larder.web."
  :perform (test-op (op c) (symbol-call :parachute :test :tests)))
